@chainz/moca-lib

A JavaScript API for interacting with Moca in Node.js and the browser

Usage no npm install needed!

<script type="module">
  import chainzMocaLib from 'https://cdn.skypack.dev/@chainz/moca-lib';
</script>

README

moca-lib v1.3.1

[base]

https://github.com/ripple/ripple-lib/releases 1.1.2

[prerequisite]

$ brew install node
npm v5.6.0
node v8.11.2

$ brew install yarn --without-node
yarn v1.7.0

$ sudo npm install -g gulp
gulp CLI version 3.9.1

$ sudo npm install -g typescript  	
tsc v2.8.3

[build]

$ git clone http://gitory.skcc.com/skcoin/moca-lib.git
$ cd ../moca-lib
$ yarn install  

$ npm run prepublish

[use guide]

// package.json
{
  ...
  "dependencies": {
    "babel-cli": "^6.0.0",
    "babel-preset-es2015": "*",
    "@chainz/moca-lib": "*"
  },
  "babel": {
    "presets": ["es2015"]
  },
  ...
}
// test.js
const MocaAPI = require('@chainz/moca-lib').MocaAPI;
const api = new MocaAPI(....);